Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class PmdPlugin

    java.lang.Object
      org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin
          org.gradle.api.plugins.quality.PmdPlugin

    class PmdPlugin
    extends AbstractCodeQualityPlugin

A plugin for the PMD source code analyzer.

Declares a `findbugs` configuration which needs to be configured with the FindBugs library to be used. Additional plugins can be added to the `findbugsPlugins` configuration.

For each source set that is to be analyzed, a Pmd task is created and configured to analyze all Java code.

check lifecycle task.

See Also:
  PmdExtension
  Pmd

Method Summary
`protected void` | `configureForSourceSet(SourceSet sourceSet, Pmd task)`
`protected void` | `configureTaskDefaults(Pmd task, String baseName)`
`protected CodeQualityExtension` | `createExtension()`
`protected Class` | `getTaskType()`
`protected String` | `getToolName()`

Method Detail

### configureForSourceSet

    @Override
    protected void configureForSourceSet(SourceSet sourceSet, Pmd task)

### configureTaskDefaults

    @Override
    protected void configureTaskDefaults(Pmd task, String baseName)

### createExtension

    @Override
    protected CodeQualityExtension createExtension()

### getTaskType

    @Override
    protected Class getTaskType()

### getToolName

    @Override
    protected String getToolName()

Gradle API 1.1-rc-1